Installation

Prerequisites

There are few packages which are mandatory before you proceed

  • Git client: sudo apt-get install git
  • Python 2.7, installed by default in most systems
  • Wget: sudo apt-get install wget

Installation

There are two ways in which you can proceed. Both the methods execute the install script:

Install Script

The install script :

  • Prompts you to select a distro from the list that are supported

Note

If your distro is not listed, please go through Advanced Installation as well.

  • Installs some tools, dictionaries and configration files
  • Installs python libraries using pip

Advanced Installation

If your distro is not officially supported in the install script, the following packages might not have been installed. So please make sure you atleast have the mandatory packages installed. Almost all the packages can be obtained using package manager of any major distro.

Mandatory

Optional Packages